客户端安装多个TC版本导致NX集成不能使用

蓝图技术网 2023-01-31 19:07:23 836阅读 0评论

客户端安装多个TC版本导致NX集成不能使用 第1张

作者:柳汉杰   审校:王明皓

测试版本:TC8.3、TC11.4

在涉及TC升级的实施项目中,当需与客户协同测试新版本TC功能或上面开发点的测试时,我们一般会直接在用户的客户端分发我们测试服务器的新版本TC的客户端以便于用户使用,但发现新版本TC11.4客户端分发完成后,旧版本TC8.3的4-tier客户端便不能打开NX集成环境,并出现报错信息(如图1):

客户端安装多个TC版本导致NX集成不能使用 第2张

图1

分析过程和解决办法
客户端安装多个TC版本导致NX集成不能使用 第3张

在工具条—窗口,打开控制台,查看控制台中的报错信息如下(如图2),判断旧版本TC8.3因未能正常调用相关文件导致不能打开NX集成:

客户端安装多个TC版本导致NX集成不能使用 第4张

图2

客户端安装多个TC版本导致NX集成不能使用 第3张

接下来,先检查并排除因本地NX的环境变量:“UGII_BASE_DIR”和“UGII_ROOT_DIR”导致的问题(如图3):

客户端安装多个TC版本导致NX集成不能使用 第6张

图3

客户端安装多个TC版本导致NX集成不能使用 第3张

在4-tier TC客户端打开NX集成环境时,需调用4-tier TC客户端安装路径rac文件夹下start_nxmanager.bat文件,因此打开注册表查看调用该文件的路径,搜索值:start_nxmanager.bat(如图4),找到注册表中的在ugportalfile文件夹下的指定start_nxmanager.bat文件路径的条目并修改条目路径指向到旧版本TC8.3(如图5),然后再重新在TC8.3打开NX集成即可:

客户端安装多个TC版本导致NX集成不能使用 第8张

图4

客户端安装多个TC版本导致NX集成不能使用 第9张

图5

版权申明:我们采用的作品包括内容和图片全部来源于网络用户和读者投稿,我们不确定投稿用户享有完全著作权,根据《信息网络传播权保护条例》,如果侵犯了您的权利,请联系我站将及时删除!

发表评论

快捷回复: 表情:
AddoilApplauseBadlaughBombCoffeeFabulousFacepalmFecesFrownHeyhaInsidiousKeepFightingNoProbPigHeadShockedSinistersmileSlapSocialSweatTolaughWatermelonWittyWowYeahYellowdog
验证码
评论列表 (暂无评论,836人围观)

还没有评论,来说两句吧...